<template lang="pug">
textarea.textarea( 
	:value='modelValue'
	@input='handleInput'
	:placeholder='placeholder'
	:type='inputType'
	:rows='rows'
	:class='bindClass' )
</template>

<script setup>
import { computed } from "vue"

const props = defineProps({
	modelValue: {
		type: [ String, Number ],
		default: ""
	},
	placeholder: {
		type: String,
		default: ""
	},
	inputType: {
		type: String,
		default: "text"
	},
	type: {
		type: String,
		default: ""
	},
	rows: {
		type: [String, Number],
		default: 5
	}
})
const emit = defineEmits([ "update:modelValue" ])

const bindClass = computed(() => [ 
	props.type ? `is-${props.type}` : "" 
])

const handleInput = ({ target: { value } }) => emit("update:modelValue", value)
</script>